%define		php_name	php%{?php_suffix}
%define		modname	mnogosearch
%define		status		alpha
Summary:	%{modname} - mnoGoSearch extension module for PHP
Summary(pl.UTF-8):	%{modname} - moduł mnoGoSearch dla PHP
Name:		%{php_name}-pecl-%{modname}
# extension has no version yet (defiend as NO_VERSION_YET), keep it last pecl release
Version:	1.0.0
Release:	8
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://www.mnogosearch.org/Download/mnogosearch-3.3.9.tar.gz
# Source0-md5:	18d3e6c6cca3f816d05d04bd3943ed6a
URL:		http://pecl.php.net/package/mnogosearch/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	mnogosearch-devel
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Provides:	php-mnogosearch = %{version}-%{release}
Obsoletes:	php-mnogosearch
Obsoletes:	php-pecl-mnogosearch < 0.2.0-7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension is a complete PHP binding for the mnoGoSearch API. For
details please see to <http://www.mnogosearch.org/> or the manual.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Rozszerzenie to jest kompletnym zestawem dowiązań PHP do API
mnoGoSearch. Dokładne informacje dostępne są pod adresem
<http://www.mnogosearch.org/> lub w podręczniku.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv mnogosearch-*/php/* .

%build
phpize
%configure \
	--with-mnogosearch=shared,/usr
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT

cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sat May 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-mnogosearch.git;a=log;h=master

* Sat May 17 2014 Elan Ruusamäe <glen@delfi.ee> ff97c50
- obsolete old php name

* Sat May 17 2014 Elan Ruusamäe <glen@delfi.ee> 96604de
- release 7 (by relup.sh)

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> a195014
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 782647d
- use php(core) as dependency to require php version
- release 5 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 06c6afb
- release 5 (by relup.sh)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e7337d
- release 4

* Tue Sep 07 2010 Elan Ruusamäe <glen@pld-linux.org> 69ff7b4
- release 3

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> a8fca03
- use code from mnogosearch-3.3.9 tarball
- builds now with php 5.3
- rel 2

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> b85f0a6
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 256d60d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c679e02
- converted to UTF-8

* Thu Jan 04 2007 Elan Ruusamäe <glen@pld-linux.org> d2b4500
- new pecl macros; BR mnogosearch-devel

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 462448c
- BR rpmmacros for fixed %requires_php_extension

* Sat Jul 15 2006 Adam Gołębiowski <adamg@pld-linux.org> fc20bd3
- mnogosearch extension is now part of PECL

